telepathy-mission-control 5.16.6 (2020-08-24)
=============================================

The "leave no space" release.

This release contains a critical compatibility fix for GLib >= 2.63.3.
Without this fix you won't be able to add an account.
Big thanks to Florian Müllner for the information and the patch!

Fixes:

• account: Fix property name (Florian Müllner)
• Update test to Python 3 (Tomi Leppänen)
• Make the tests runner busybox compatible (Tomi Leppänen)


telepathy-mission-control 5.16.5 (2019-09-15)
=============================================

The "magic number three" release.

Enhancements:

• Port build tools to Python 3

Fixes:

• Fix memory leak in get_parameter_of_known_type() (Slava Monich)
• Fix autoconnection of accounts with always_dispatch=true (Martin Klapetek)
• Fix crash on any of the active connection managers disappears
  from dbus (Tiago Salem Herrmann)


telepathy-mission-control 5.16.4 (2016-09-02)
=============================================

The "get modern" release.

Fixes:

• exit gracefully at startup if the D-Bus connection fails (Guillaume)
• fix some warnings when building with clang (fd.o #94310, Ting-Wei Lan)
• fix unit tests to work with GLib >= 2.46 (fd.o #96763, George Kiagiadakis)
• mc-wait-for-name now shows readable output on the command line on
  exotic locales (fd.o #93661, Ting-Wei Lan)
• UPower support is now disabled by default if UPower is >= 0.99.
  The features needed have now moved to logind, which is supported
  in MC since 5.15.1 (fd.o #70458, George Kiagiadakis)
• fix some memory leaks and a potential crash (fd.o #76401, Simon)

Dependencies:

• GLib 2.46 is now required
• NetworkManager support was ported to use libnm instead of the
  deprecated libnm-glib (fd.o #96707, Diane Trout)


telepathy-mission-control 5.16.3 (2014-08-25)
=============================================

Fixes:

• mcd-connection: use tp_asv_new() properly (fd.o #81751, Steffen Kieß)

telepathy-mission-control 5.16.2 (2014-06-11)
=============================================

Fixes:

• don't crash in 'mc-tool auto-presence' subcommand (fd.o #74187, Simon)

• fix parallel build (Simon)

• Use G_STRFUNC in mission-control-plugins's DEBUG macro (Guillaume)

• Fix a crash when GOA is restarted (fd.o #79827, Guillaume)

telepathy-mission-control 5.16.1 (2014-01-27)
=============================================

The “/Dux magnus gentis venteris saginati/” release.

Fixes:

• Release logind sleep/shutdown inhibitor correctly, fixing slow
  sleep/shutdown (fd.o #73599, Michael Kuhn)

• Avoid assertion failure for offline accounts that support power saving
  (fd.o #72652, John Brooks)

• Fix a crash if unable to create XDG_DATA_HOME/telepathy/mission-control
  (fd.o #72138, Sebastien Bacher)

• connectivity-monitor: start watching 'use-conn' key in constructed,
  fixing the ability to switch it off (Guillaume Desmottes)

telepathy-mission-control 5.16.0 (2013-10-02)
=============================================

The “all these little strings” release.

This is a new stable branch, recommended for use with GNOME 3.10.

Fixes since 5.15.1:

• If a connection manager that stores avatars on the server is slow to
  discover whether we have a server-stored avatar, don't overwrite it
  with an outdated local avatar or lack-of-avatar. This was a regression
  in 5.15.0. (fd.o #69885, Simon)

Here is a summary of significant changes since the previous stable branch,
5.14.x:

Dependencies:

• GLib 2.32 is required
• The regression tests require Python 2.6
• ConnMan connectivity monitoring no longer requires special compilation
  options or extra libraries at compile time
• gnome-keyring support has been removed, use a ServerAuthentication
  handler instead

Enhancements:

• When running under GNOME 3 or Unity, MC will attempt to enable
  connections' power-saving features while the session is idle;
  this is currently effective for Google Talk XMPP connections
• MC now uses GNetworkMonitor to monitor connectivity;
  NetworkManager integration, which supplements this, is still available
• New set_attribute(), set_parameter(), owns() methods for
  McpAccountStorage plugins
• telepathy-spec 0.27.1: emit PropertiesChanged for URISchemes

Fixes:

• Don't try to reconnect on SoftwareUpgradeRequired or ConnectionRefused
• McpAccountStorage::altered-one now works

telepathy-mission-control 5.15.1 (2013-09-19)
=============================================

The “where can I put giant plastic arthopods?” release.

This is a release candidate for Mission Control 5.16.

Dependencies:

• There is no longer a special configuration option for ConnMan connectivity
  monitoring. MC now can use any GNetworkMonitor plugin, such as the Linux
  Netlink plugin provided with GLib, or
  <https://github.com/jukkar/connman-network-monitor/>.

• On systems with NetworkManager, basic connectivity monitoring support
  no longer requires libnm-glib, although compiling with libnm-glib might
  still mean that disconnection can be detected more quickly.

• gnome-keyring support has been removed. Use a ServerAuthentication Handler
  similar to the ones provided in Empathy or KDE-Telepathy if you
  don't want passwords to be stored in a file as clear text.

Deprecations:

• mcp_dispatch_operation_leave_channels() is deprecated.
  To hang up and close Call channels in a dispatch policy plugin,
  use tp_call_channel_hangup_async() and
  mcp_dispatch_operation_close_channels() instead.

Enhancements:

• Use GIO's GNetworkMonitor plugins to monitor connectivity
  (fd.o #56635, Simon)

• Remove gnome-keyring integration in favour of recommending
  ServerAuthentication Handlers, which have better UI (fd.o #32578, Simon)

• Internal cleanup related to the connectivity code (fd.o #68712, Simon)

Fixes:

• Don't emit critical warnings if more than one emergency "service point" is
  provided, and don't leak memory if any are provided (fd.o #55773, Simon)

• Advertise Service and Hidden as properties that can be given when creating
  an account (fd.o #33127, Simon)

• Fix a likely crash when upgrading the storage format of accounts,
  a regression in 5.15.0 (fd.o #69542, Simon)

• Fix a crash when an account is disconnected while inspecting the
  self-contact, a regression in 5.15.0 (fd.o #69542, Simon)

• Make the regression tests pass with the parallel test harness used by
  default in Automake 1.13+ (fd.o #69542, Simon)

telepathy-mission-control 5.15.0 (2013-05-03)
=============================================

The “any other citizen of the Queen” release.

Running this version of Mission Control for the first time will automatically
migrate some account data to a new format. If you subsequently downgrade
to an older version, it will no longer understand all account data.
Taking a backup copy of ~/.local/share/telepathy/mission-control
before you upgrade is recommended.

Requirements:

• GLib 2.32 is now required.
• The regression tests now require Python 2.6.

Deprecations:

• McpAccountStorage::altered, which appears to have never worked, is now
  deprecated (fd.o #28288). Emit ::altered-one instead.

• mcp_account_storage_iface_set_priority() etc. are now deprecated.
  Use, for instance, "iface->priority = prio" instead.

Enhancements:

• Account storage plugins (McpAccountStorageIface) may, and should, implement
  the new set_attribute(), set_parameter() and owns() methods. These methods
  allow the plugin to know the type of each attribute or parameter, which
  is presented as a GVariant. (fd.o #54872, Simon)

• `mc-tool get <account> AutomaticPresence` now works (fd.o #54780, Simon)

• When running under GNOME 3 or Unity, MC will attempt to enable
  connections' power-saving features while the session is idle;
  this is currently effective for Google Talk XMPP connections.
  (fd.o #62530; Xavier, Simon)

Fixes:

• Update to the current ConnMan D-Bus API (fd.o #56600;
  Mike Ruprecht, Joshua Lock)

• If a stored parameter has a value inappropriate for its type
  (e.g. require-tls=2 where the connection manager expects require-tls
  to be boolean), invalidate the account, rather than treating the
  value as 0, "", [] etc. (fd.o #54870, Simon)

• Handle Connection errors better, and in particular, don't try to reconnect
  on SoftwareUpgradeRequired or ConnectionRefused (fd.o #37844,
  Emilio Pozuelo Monfort)

• Handle errors from RequestConnection correctly, rather than as NetworkError
  (fd.o #39334, Simon)

• If the stored nickname for an account is the same as the normalized name
  (identifier), don't set it on connect, in case a better nickname is stored
  on the server (fd.o #39381, Simon)

• Emit Properties.PropertiesChanged for URISchemes, as per the upcoming
  telepathy-spec 0.27.1 (fd.o #40393, Guillaume)

• McpAccountStorage::altered-one now works as intended (fd.o #54780, Simon)

Internal changes:

• Refactor avatar and alias handling (fd.o #55668, Simon)

• Refactor account storage (fd.o #54870, #54872; Simon)

• Improve regression test coverage for account storage (fd.o #54873, Simon)

• Start to remove uses of functions deprecated in telepathy-glib 0.20
  (fd.o #55391; Jonny, Simon)

telepathy-mission-control 5.14.1 (2013-05-03)
=============================================

The “implicit maze” release.

Fixes:

• Only ignore passwords stored in our old gnome-keyring location if Empathy
  has actually copied them to its new location, fixing use of a
  gnome-keyring-enabled MC version with no Empathy or other
  SASLAuthentication handler (e.g. under Sugar). (fd.o #59468, Simon)

• Build successfully with Automake 1.13 (fd.o #59605, Nuno Araujo)

• Isolate regression tests better (fd.o #63119, Simon McVittie)

• Respect NOCONFIGURE in autogen.sh (fd.o #57165, Cosimo Cecchi)

telepathy-mission-control 5.14.0 (2012-10-03)
=============================================

The "it helps if the video is intact" release.

This starts a new stable branch, recommended for use with GNOME 3.6.

Summary of changes since the last stable branch, 5.12:

• Remove support for many deprecated interfaces.

• If a connection manager announces two or more channels in the same
  NewChannels signal, behave as if it had announced each channel
  separately.

• Accounts are now stored in the telepathy/mission-control subdirectory
  of g_get_user_data_dir(). On Unix, this usually means
  ~/.local/share/telepathy/mission-control, but can be changed with the
  standard $XDG_DATA_HOME and $XDG_DATA_DIRS environment variables.
  Accounts data are automatically migrated to this new location when
  running mission-control for the first time.

• ./configure --with-accounts-dir (at build time) and $MC_ACCOUNTS_DIR
  (at runtime) no longer change where new accounts are stored. They now set
  what Mission Control considers to be the "old" location for accounts;
  accounts in that directory will be moved into the new location.
  Using this option is deprecated.

• Various mc-tool improvements.

There were no code changes since 5.13.2.

telepathy-mission-control 5.13.2 (2012-09-20)
=============================================

The "deconstructor ray" release.

Running this version of Mission Control for the first time will automatically
migrate your account data to a new location. If you subsequently downgrade
to an older version, it will no longer find your account data. Taking a backup
copy of ~/.mission-control before you upgrade is recommended.

Configuration changes:

• Accounts are now stored in the telepathy/mission-control subdirectory
  of g_get_user_data_dir(). On Unix, this usually means
  ~/.local/share/telepathy/mission-control, but can be changed with the
  standard $XDG_DATA_HOME and $XDG_DATA_DIRS environment variables.

• ./configure --with-accounts-dir (at build time) and $MC_ACCOUNTS_DIR
  (at runtime) no longer change where new accounts are stored. They now set
  what Mission Control considers to be the "old" location for accounts;
  accounts in that directory will be moved into the new location.
  Using this option is deprecated.

Enhancements:

• Migrate accounts and avatars from ~/.mission-control to
  the location described above (fd.o #35896; W. Jon McCann, Jonny, Simon)
• More removals of obsolete code and interfaces (fd.o #54633, Simon)

Fixes:

• Recover from incomplete password migrations caused by upgrading to
  Empathy 3 while running MC 5.12.1 or older, by deleting the old (MC) copy
  of the password if Empathy has already copied it (fd.o #42088, Simon)
• Omit generated file mcp-signals-marshal.h from tarballs (Simon)

telepathy-mission-control 5.13.1 (2012-09-06)
=============================================

The "Triceratops" release.

Changes:

• On Unix platforms, umask() is now required. (Simon)
• If a connection manager announces two or more channels in the same
  NewChannels signal, behave as if it had announced each channel
  separately. Simplify things that previously had to cope with
  multiple channels at a time. (fd.o #52305, Simon)
• Improve mc-tool: display Account.Storage settings, add Supersedes,
  add "dump" subcommand (fd.o #53202; Guillaume, Xavier)
• More internal reorganisation (fd.o #54151, Simon)

Fixes:

• Passwords are now deleted from gnome-keyring correctly (fd.o #42088, Simon)
• When migrating Butterfly accounts to Haze, do the migration even if Butterfly
  isn't installed, and copy the password as well as the username
  (Debian #686835, Simon)
• If compiled with UPower support, do not attempt to connect while going
  to sleep (fd.o #50009, Guillaume)
• Set up the altered-one signal for account storage backends correctly
  (fd.o #52231, Xavier)
• If service-activated under both names o.fd.Telepathy.MissionControl5
  and o.fd.Telepathy.AccountManager simultaneously, avoid one or both
  failing to activate due to a race condition (fd.o #53220, Simon)
• When built for Android, don't use GSettings (fd.o #53497, Simon)

telepathy-mission-control 5.13.0 (2012-07-23)
=============================================

Changes:

• Remove support for many deprecated interfaces (fd.o #49753, fd.o #24762,
  fd.o #24899, fd.o #24914, fd.o #49648; Simon):
  · old-style (mcd_*) plugins, including McdPlugin and McdFilter
  · an obsolete auto-away mechanism
  · the non-standard Compat and Query interfaces
  · tracking group members in McdChannel
  · Capabilities (the predecessor of ContactCapabilities)
  · some remnants of ContactCapabilities draft 1

Fixes:

• Stop using deprecated telepathy-glib symbols. (Jonny)
• fdo#51842 - fix access to freed memory. (Xavier)
• fix existing channel dispatching after using present/delegate. (Jonny)
• Invalid GValue in libaccounts storage plugin (fd.o#48646, fledermaus)
• fdo#52259 - Do not change RequestedPresence when disabling the account,
  otherwise it won't reconnect when enabling it.
• fdo#52231 - Let client decide which storage provider to use when creating an
  account.

telepathy-mission-control 5.12.0 (2012-04-02)
=============================================

This is the start of a new stable branch.

Changes since 5.11.0:

• GLib ≥ 2.30 is now required.

• Add mcd_service_stop() and stop the service when SIGINT is
  sent. (fd.o#47054, Alban)

Summary of particularly noteworthy changes since 5.10.x:

• GLib ≥ 2.30 and telepathy-glib ≥ 0.17.5 are now required

• telepathy-butterfly accounts are migrated to telepathy-haze
  automatically if Haze is installed.

• Mission Control can now be stopped by sending SIGINT to the daemon.

telepathy-mission-control 5.11.0 (2012-02-21)
=============================================

The "leaning on the fourth wall" release.

Requirements:

• telepathy-glib 0.17.5 is now required

Enhancements:

• Migrate telepathy-butterfly accounts to telepathy-haze automatically,
  if Haze is installed (fd.o #42814, Guillaume)

• Improve mc-tool (fd.o #45308, Guillaume/Will)

• Add Account.Supersedes (fd.o #42814, Simon)

Fixes:

• Prefer to destroy arrays with _unref instead of _free (Xavier)

• Add support for building on Android (fd.o #42508, Alvaro/Derek)
  and Windows (Alvaro/Siraj)

• Make the NetworkManager integration optional (fd.o #43791, Mikhail)

• Don't crash on Get('Parameters') for a CM that isn't installed
  (fd.o #44939, Will)

telepathy-mission-control 5.10.1 (2011-11-08)
=============================================

The “Why would i want a debugger? I don't know. Why do you want a face?”
release.

Fixes:

• An unnecessary enum definition, which conflicted with the one provided
  by Empathy, has been removed from the GSettings schema. (Thanks,
  ioni.)

telepathy-mission-control 5.10.0 (2011-11-07)
=============================================

The “Imagine ALL the people!” release. Welcome to a new stable branch of
Mission Control.

A quick summary of what's changed since 5.8.x:

• DelegateChannels and PresentChannel, as used by Gnome Shell 3.2, have
  been added.

• libmcclient has been removed.

• MC now optionally uses Network Manager or ConnMan to monitor network
  connectivity state, and UPower to be notified that the machine is
  about to suspend.

• Lots of crashes and leaks and bugs have been fixed.

And, specifically since 5.9.3:

• fd.o#41927: It is now possible to install the MC test suite. (albanc)

• fd.o#42068: MC now has a GSettings key to force it to believe it is
  online, even if NM/ConnMan says it is offline. This key is kept in
  sync with the corresponding GSettings key provided by Empathy by some
  black magic with aliased DConf paths. (wjt)

• http://bugs.debian.org/644589: fix build with UPower but no NM or
  ConnMan (jonny)

• fd.o#42548: Account.ChangingPresence is now more accurate
  (particularly on disabled accounts). (wjt)

telepathy-mission-control 5.9.3 (2011-10-04)
============================================

The “HELLO / YES, THIS IS DOG” release.

Dependencies:

• MC now has optional dependencies on nm-glib and upower-glib.

Enhancements:

• Mission Control can now use either Network Manager or ConnMan (or
  neither; the choice is controlled by a configure flag) to monitor the
  network connection going up and down, and bring IM accounts on and
  offline accordingly (whether due to ConnectAutomatically being True,
  or RequestedConnection being non-offline). (fd.o#38978, wjt)

  This appears to interact fine with Empathy, which also monitors the
  network state (using fundamentally the same code); in future, we
  intend that MC should be the sole party responsible for monitoring
  network state.

• Mission Control now listens for notifications from upower that the
  machine is about to suspend, and tears down active connections. This
  should help avoid the user appearing to be online for a few minutes
  after they suspend their machine, until the server notices that
  they've gone. (fd.o#28370, wjt)

Fixes:

• The regression tests now work with D-Bus ≥ 1.5.6. (fd.o#41090, smcv)

• An obscure assertion failure in the client bus name monitoring code is
  fixed, we hope! (fd.o#39767, wjt)

• MC no longer crashes when recovering from a client crashing if that client
  was an Observer or Approver which had claimed the channel. (xclaesse)


telepathy-mission-control 5.9.2 (2011-08-31)
============================================

The “unique versioning strategy” release.

Changes:

• The Compat.Profile property on accounts has been removed; as has
  libmcclient, which used it but which is no longer widely used.

• Documentation for the old extension API, libmissioncontrol-server, is
  no longer built. Please use the mission-control-plugins API instead!

Fixes:

• fd.o #37861: Memory leak in collect_satisfied_requests in
  mcd-dispatch-operation.c (fledermaus).

• fd.o #40562: Connection attempts aborted by McdTransport plugins did
  not trigger a status change signal - now they do (fledermaus)

• fd.o #29022: Dispatch channels with no (known) handlers to observers
  anyway (smcv)

• fd.o #40551: Memory leaks in the approval mechanism plugged
  (fledermaus)

• mission-control-plugins now explicitly links to GIO. (Frédéric Péters)

• mc-tool now parses 'bool:foo=true' as setting 'foo' to True, as
  opposed to setting 'foo' to False! (wjt)

• fd.o#39796: always fully remove secret parameters when they are
  un-set. (cassidy)

Enhancements:

• fd.o#40337: improve error reporting when creating an account fails.
  (wjt)

telepathy-mission-control 5.9.1 (2011-07-21)
============================================

Fixes:

• fd.o #34025: when an Observer with Recover=TRUE catches up on channels,
  don't miss out channels that have run their observers but have not
  completed dispatching, mainly those waiting for approvers (smcv)

• Fix various memory leaks (fledermaus)

• If a storage plugin changes our nickname, propagate it to the CM (fledermaus)

• The McdTransport framework should have considered "no plugins" to be 
  equivalent to "procced", not "abort" (fledermaus)

• Some files were missing G_END_DECLS, which broke C++ includes (fledermaus)

telepathy-mission-control 5.9.0 (2011-05-18)
============================================

Dependencies:

• telepathy-glib ≥ 0.15 is now required.

• glib ≥ 2.28 is now required.

Enhancements:

• DelegateChannels and PresentChannel from spec version 0.23.2 have
  been implemented. (cassidy)

Fixes:

• fd.o#36483: All tests now pass, even with newer tp-glib. (jonny)

• Implementation of the draft ChannelDispatcher.Messages interface did 
  not correctly handle all internal requests which should have been
  dispatched to an existing channel (fledermaus)

• The transport plugin infrastructure considered "no connected transports"
  to be the same as "we have an alternative transport available & ready":
  This could result in unwanted attempts to bring up the network on 
  platforms which used the transport plugin mechanism (fledermaus)

• The Aegis ACL plugin needs to activate inactive handlers if they are
  not runnng, as you cannot check the aegis credentials of a DBus name
  alone, a PID or DBus connection is required (fledermaus)

Enhancements:

• Centralised debug control for MCP plugins via MCP_DEBUG environment
  variable (and macro + flags so out-of-tree plugins can take advantage
  of same) (fledermaus)

telepathy-mission-control 5.7.11 (2011-05-11)
============================================

The “Then you admit confirming not denying you ever said that?” release.

Enhancements:

• fd.o #36845: dispatch operation policy plugins can implement
  handler_is_suitable_async(), to say whether a Handler is acceptable for
  a particular dispatch operation (fledermaus, smcv)

• All members of McpDBusAclIface may be NULL (the name defaults to the GObject
  class name, and NULL as a check allows everything) (smcv)

• The McpDispatchOperationPolicyIface struct is directly visible to plugins,
  removing the need to call mcp_dispatch_operation_policy_iface_implement_check
  (smcv)

• The implementation vtable of MCP plugin classes is no longer concealed, and
  maybe assigned to directly by implementations instead of using the _implement
  methods (wjt, smcv)

• More/better documentation for the MCP plugin classes (smcv)

Fixes:

• If enabled, the Aegis plugin is now statically linked into the MC executable
  rather than being a loadable module (fledermaus)

• Account plugins are no longer added to the cached list repeatedly (smcv)

telepathy-mission-control 5.7.10 (2011-05-06)
============================================

The “Save the Alot” release.

Enhancements:

• Use the new arg0namespace matching to watch only interesting
  DBus name-owner-changed signals if DBus is new enough to allow
  this (fledermaus)

Fixes:

• Setting changes originating in storage backends (eg libaccounts)
  were not necessarily propagated to CMs if they were not parameters
  (fledermaus)

telepathy-mission-control 5.7.9 (2011-04-05)
============================================

The “From Hell's Heart I Stab at const” release.

Fixes:

• Build failure due to warning/error promotion (fledermaus)

telepathy-mission-control 5.7.8 (2011-04-05)
============================================

The “À la Recherche du Temps Perdu” release.

Enhancements:

• accounts can be flagged as "channels must always be dispatched"
  needed for telephony class accounts, but available generally (fledermaus)

• Draft ChannelDispatcher.Messages interface implemented
  allows non-handlers to send messages to contacts (fledermaus)

Fixes:

• Segfault in the external password storage properties interface (sjoerd)

• SSO account deletions explicitly force Account.Removed to be emitted
  They used to assume object disposal would happen immediately, which
  did not always happen (fledermaus)

• The "Service" value for Maemo SSO accounts could be unset after
  account creation, a side effect of changes in 5.7.7 (fledermaus)

• Memory leak in one of the Maemo DBus ACL plugins (fledermaus)

Obsolescence:

• Dead interface com.nokia.Account.Interface.Stats dropped (fledermaus)

telepathy-mission-control 5.7.7 (2011-03-09)
============================================

The “Bulwer—Lytton Fiction Contest Entry” release.

Fixes:

• Updates the Maemo SSO plugin in line with SSO changes (fledermaus)

telepathy-mission-control 5.7.6 (2011-03-07)
============================================

The “GRINNING CAT FACE WITH SMILING EYES”  release.

Enhancements:

• Support the Observer.DelayApprovers property. (cassidy)

telepathy-mission-control 5.7.5 (2011-03-01)
============================================

The “Beware the Ides of March” release.

Fixes:

• Build failures with new --no-add-needed ld default behaviour (fledermaus)

• mc-tool: help no longer mentions obsolete add <profile> syntax (wjt)

• Tests no longer hang forever if DBus name cannot be claimed (wjt)

telepathy-mission-control 5.7.4 (2011-02-23)
============================================

The “Northern winters start to thaw” release.

Enhancements:

• fd.o#33271: implement ChannelDispatcher.RedispatchChannels() (cassidy)

• fd.o#34416: support for Account.I.ExternalPasswordStorage (danni)

Fixes:

• fd.o#34316: UpdateParameters: bad handling of DBus_Property and
  Has_Default in Unset argument (wjt)

telepathy-mission-control 5.7.3 (2011-02-15)
============================================

The "Future Events Like These Will Affect You in the Future" release.

Dependencies:

• telepathy-glib ≥ 0.13.13 is now required

Enhancements:

• The connection now uses Connection.Interface.ServicePoint.KnownServicePoints
  to determine which contacts correspond to emergency calls. (fledermaus)

• Request policy plugins cannot affect emergency calls any more. (fledermaus)

• mcd_debug now bypasses printf completely if neither debugging nor the debug
  cache is turned on. (fledermaus)

Fixes:

• Leak in the DBus ACL plugin mechanism fixed (barisione)

• Potential leak in mcd_master initialisation code fixed (barisione)

telepathy-mission-control 5.7.2 (2011-01-18)
============================================

The "Evil Geniuses for a Better Tomorrow" release.

Dependencies:

• telepathy-glib ≥ 0.13.7 is now required.

Enhancements:

• The functionality from the draft ChannelDispatcher.Interface.Hints and
  ChannelRequest.Interface.Hints interfaces is now on the main CD and CR
  interfaces, since it became stable in telepathy-spec 0.21.5. (cassidy)

• fd.o#32979: AccountManager.Interface.Hidden.DRAFT1 (wjt)

Changes to unstable API:

• Support for the draft MinimumPresence interface has been removed. (wjt)

Fixes:

• Various bugs in the test suite, some caused by telepathy-glib changes and
  others which have been lingering for a while, have been fixed. (jonnylamb,
  wjt)

• Certain account properties, such as Nickname, are now more reliably saved to
  disk when they are updated. (wjt)

• The 'commit' virtual method for account storage plugins is once again
  optional, as documented and as was previously the case. (fd.o#32153, wjt)

• libaccounts backend cannot be as eager to flush to disc as the regular
  keyfile backend as it is shared and excessive locking can interfere
  with other libaccounts clients (eeejay)

telepathy-mission-control 5.7.1 (2010-12-06)
============================================

The "Ack... I've been gritted" release.

Enhancements:

• mc-tool: Improved error message for nonexistent accounts

• Removed obsolete mapping of TP_ERROR_NOT_AVAILABLE to
  MC_CONTACT_DOES_NOT_SUPPORT_VOICE_ERROR

Fixes:

• fd.o #24779: CurrentPresence is Offline for online connections not
  implementing SimplePresence (wjt)

telepathy-mission-control 5.7.0 (2010-11-18)
============================================

The "Incursion into Transcarcharid Space" release, starting a new 
development branch.

Enhancements:

• fd.o#31467: Account.Interface.Addressing interface (fledermaus, wjt)

• fd.o #31263: implement stable Conn.I.PowerSaving, and optionally integrate
  it with Maemo's MCE service (eeejay)

• fd.o #30000: implement draft ChannelDispatcher.I.Hints and
  ChannelRequest.I.Hints (smcv)

Fixes:

• fd.o#31678: AccountManager.AccountRemoved signal could be skipped (fledermaus)

• fd.o#31680: g_error() on dbus name acquisition_progressition failure 
  was interpreted as a core dump by automated test suites, resulting
  in a lot of false alarms (fledermaus)

telepathy-mission-control 5.6.1 (2010-11-17)
============================================

The "I suppose Guinness is good for you" release.

Enhancements:

• Make mc-tool support object paths, and improve the help (wjt)

Fixes:

• fd.o #30447: don't "return x()", where x returns void, in void functions
  (Jeff Cai)

• fd.o #30448: make type of mcp_account_storage_get_restrictions consistent
  with the header (smcv)

• Fix support for libaccounts-glib (fledermaus)

• Remove unnecessary use of _POSIX_C_SOURCE (Jeff Cai)

telepathy-mission-control 5.6.0 (2010-09-16)
============================================

The "Back in the old days, we didn't have plural" release.

Highlights since 5.4.x
----------------------

• MC implements features from telepathy-spec 0.20, including:
  · channels can be dispatched before a connection is CONNECTED, which is
    required for telepathy-gabble ≥ 0.9.17
  · the Account.ConnectionError property indicating the last error
  · the Account.ChangingPresence property indicating that presence changes
    are in progress
  · the Account.Service property indicating where an account is stored
  · ChannelDispatchOperation.HandleWithTime to set focus-stealing-prevention
    timestamps

• libmission-control-plugins provides a more stable plugin API for MC. Plugins
  written with this library can:
  · observe, delay and influence channel dispatching, much like Observers
  · observe, delay and/or reject channel requests
  · store accounts elsewhere

• Bugfixes include:
  · tries harder to invoke the same handler for an already-handled channel
  · calls ended locally with reason No_Answer are treated as missed
  · fewer writes to gnome-keyring when committing changes
  · in-band XMPP account creation works better

Fixes since 5.5.4
-----------------

• Fix various build warnings in the tests (Vincent Untz, smcv)
• Fix a build warning when keyring support is disabled (fledermaus)
• Install a missing header file (fledermaus)

telepathy-mission-control 5.5.4 (2010-09-14)
============================================

The "salamander king" release.

Enhancements:

• fd.o #26699: add support for plugins that delay requests while deciding
  whether to allow them or not (smcv)

• Restructure channel-requesting code (smcv)

• Delete the old examples, which are no longer exemplary; use telepathy-glib
  or telepathy-qt4 instead of libmcclient (smcv)

• fd.o #29812: add a trial implementation of the MinimumPresence (draft 2)
  API (ptlo)

• fd.o #30000: add a trial implementation of SucceededWithChannel and
  {Create,Ensure}ChannelWithHints (cassidy, smcv)

Fixes:

• fd.o #28915: fix a regression in which parameters that are unset aren't
  necessarily saved to the configuration file (fledermaus)

• Signal remote avatar deletion, for instance by another XMPP resource, in the
  same way as a remote avatar change (fledermaus)

• Cancel the "probation" timer when the connection is released, avoiding a
  possible crash (fledermaus)

• Ignore any partial pre-existing accounts that have no manager or protocol
  listed, and if a storage plugin creates a totally unusable account,
  ignore it (fledermaus)

• Don't crash if Proceed() is called twice (smcv)

• Various fixes for the Maemo SSO plugin (fledermaus, eeejay)

• Fix linking with recent ld versions (smcv)

telepathy-mission-control 5.5.3 (2010-07-22)
============================================

Dependencies:

* telepathy-glib 0.11.9 is now required

Enhancements:

* Added support for the new Account.Service property in the MC core code and
  the SSO plugin (fledermaus)

* Added support for the Service property to mc-tool (wjt)

* Made account storage plugins able to notify MC that a single account has
  changed externally (fledermaus)

* Added support for plugins that check D-Bus calls' callers against an ACL
  (fledermaus)

Fixes:

* Treat calls ended locally with No_Answer as missed (wjt)

* fd.o #24645: when an existing channel is returned by EnsureChannel and its
  handler has more than one Handler bus name/object path sharing a unique name,
  MC now tries harder to invoke the same one as before (smcv)

* Disable accounts when they're deleted by an account storage plugin
  (fledermaus)

* Attempt re-connection of failed connections less rapidly (wjt)

telepathy-mission-control 5.5.2 (2010-06-16)
============================================

The "513M accounts.cfg, which seems terribly wrong" release.

Dependencies:

* telepathy-glib 0.11.7 is now required

Enhancements:

* fd.o #28428: implement the new ConnectionError property from telepathy-spec
  0.19.7, and if an Account's Connection-related property changes, put all
  the related properties in the change notification signal to make it easier to
  interpret (smcv)

Fixes:

* fd.o #28557: write account parameters to accounts.cfg correctly, rather than
  repeatedly escaping backslash, newline, tab etc., which resulted in doubling
  the number of backslashes with every write. If this has made your
  accounts.cfg so large that deleting accounts via Empathy is difficult, see
  https://bugs.freedesktop.org/show_bug.cgi?id=28557 for a workaround. (smcv)

* fd.o #28390: drastically reduce writes to gnome-keyring when committing
  changes to accounts (wjt, smcv)

* fd.o #28118: clear the 'register' parameter when an account connects
  successfully, fixing in-band XMPP account creation (smcv)

This version includes the stable-branch bug fixes from 5.4.3.

telepathy-mission-control 5.5.1 (2010-06-03)
============================================

The "red head headache" release.

Enhancements:

* Port mc-tool from libmcclient to telepathy-glib (danni)

* Implement McpAccountStorage::toggled so that account plugins can toggle
  the Enabled property of accounts (danni)

* Document mission-control-plugins (smcv)

Fixes:

* Change names of variables that shadow global functions (danni)

telepathy-mission-control 5.5.0 (2010-05-26)
============================================

The "it's yours provided you take it away today" release.

Dependencies:

* telepathy-glib 0.11.6 is now required
* GLib 2.24 is now required
* D-Bus 0.95 is now required
* dbus-glib 0.82 is now required

Enhancements:

* MC now has a new, smaller plugin API, libmission-control-plugins, which is
  expected to have medium- to long-term API/ABI stability. The API mostly
  mirrors the Telepathy D-Bus API. (smcv/fledermaus)

* accounts now support the ChangingPresence property from telepathy-spec
  0.19.6 (andrunko)

* channel dispatch operations now support the HandleWithTime method from
  telepathy-spec 0.19.6 (ptlo)

* channels can be dispatched before a connection goes CONNECTED, which is
  needed for SASL authentication channels (eeejay)

* compiler warnings are correctly enabled (smcv)

Removals:

* libmcclient is no longer installed as a separate library unless the old
  plugin interface is enabled

* fd.o #26634: the obsolete utility mc-account-convert, for migration from
  Mission Control 4, has been removed

Fixes:

* don't time out channel requests until many hours have passed (sjoerd)

* instead of emitting AccountPropertyChanged signals in time-based batches
  with a small delay, change signals are now grouped into atomic changes (smcv)

* fd.o #24876: no longer reimplements a GLib 2.22 method (smcv)

* fd.o #25122, Debian #556488: link mc-wait-for-name to GLib correctly (jonny)

* fd.o#26597: use TpDebugSender to send debug messages over D-Bus (eeejay)

* don't crash mc-tool when the account name is invalid (wjt)

* fd.o #27015: remove a misleading reference to GConf (tomeu)

* fd.o #27129: update and simplify test/twisted/README (tomeu/smcv)

* fd.o #25684: fix detection of accounts that already exist (Jani Monoses/smcv)

* in libmcclient, don't crash on malformed profiles where a group is missing
  (smcv)

Maemo-specific enhancements:

* added a libaccounts-glib-based account storage backend (fledermaus)

telepathy-mission-control 5.4.2 (2010-05-26)
============================================

The "everyone loves magical re-entrancy" release.

Fixes:

* don't assume that data structures borrowed from a TpConnectionManager remain
  valid after re-entering the main loop, which can cause a segfault on startup
  (smcv)

* fix a memory leak in Claim() (fledermaus)

* fix a failure to check for NULL, and a couple of potential leaks, in mc-tool
  (fledermaus)

telepathy-mission-control 5.4.1 (2010-05-25)
============================================

The "badgers and tigers: only in Cambridge" release.

Fixes:

* set 0 as UserActionTime when HandleWith is used (cassidy)

* make tests pass with more recent telepathy-glib, which can call GetInterfaces
  twice (cassidy)

* don't cache whether we have the Requests interface, which caused one of the
  tests to regress (smcv)

telepathy-mission-control 5.4.0 (2010-04-15)
============================================

The "coffee made without human interaction" release.

Enhancements:

* fd.o #27309: implement the Observer.Recover flag from the forthcoming
  telepathy-spec 0.19.4, which lets activatable observers recover (in a
  best-effort way) after crashing, and lets non-activatable observers catch
  up on active channels (again in a best-effort way) (ptlo)

Fixes:

* fd.o #24875: avoid a dependency on GLib >= 2.22 which was accidentally
  introduced in 5.3.2 (smcv)

* Avoid a dependency on dbus-glib 0.80 (Danni)

* fd.o #25122, Debian #556488: link mc-wait-for-name to GLib properly (Jonny)

* mc-tool: don't crash on invalid account names (wjt)

* Only time out channel requests after 5 hours (Sjoerd)

* Remove a misleading reference to GConf (Tomeu)

* fd.o #27021: fix error propagation when creating accounts with invalid
  properties/parameters (Tomeu)

* Release startup locks even for incomplete accounts, avoiding failure to start
  (fledermaus)

telepathy-mission-control 5.3.2 (2009-11-02)
============================================

The "Flight Of The Living Dead" release.

Enhancements:

* mc-wait-for-name: give up after 5 minutes and exit EX_TEMPFAIL. Also exit
  with EX_UNAVAILABLE (instead of 1) if the session bus doesn't work, EX_USAGE
  (instead of 1) on wrong arguments, and EX_USAGE (instead of g_critical()
  and never terminating) if the requested bus name is not valid (smcv)

* fd.o #23651: strongly prefer the PreferredHandler for a channel request, and
  try dispatching to it even if its HandlerChannelFilters do not indicate that
  it could handle the channel, since this is very useful for clients like
  nautilus-sendto (smcv)

* fd.o#24120: refactor McdDispatcher quite extensively:
  + always have a McdDispatchOperation for each McdDispatcherContext, even if
    no approval is needed
  + migrate the dispatching state machine into the dispatch operation
  + move client logic into McdClientProxy, removing the McdClient struct
  + migrate Client discovery and the client registry into a new class
    McdClientRegistry
  + remove many unused signals
  + use McdDispatcherContext for the plugin API and nothing else
  (smcv)

* McdHandlerMap: operate in terms of TpChannel, not McdChannel, to make the
  code less tightly coupled; watch for channels closing and client crashing
  internally, rather than relying on other modules (smcv)

* Run the regression tests with GLib and GObject warnings set to fatal (smcv)

Fixes:

* fd.o #23687: if all Handlers with BypassApproval fail, notify approvers
  and wait for approval before trying other Handlers (smcv)

* fd.o #24474: notify Observers about channels that were requested without
  going via MC, e.g. by Empathy 2.28.x (smcv)

* fd.o #21003: delay the return from HandleWith until HandleChannels has
  succeeded or failed, and pass on errors; do not consider HandleWith(H) to
  be general approval for the channel to be handled with handlers other
  than H (smcv)

* fd.o #24637: don't emit Finished until the channel dispatch operation has
  really finished (smcv)

* Fix a possible use-after-free when noting that a client has gone away (smcv)

* Avoid re-dispatching a re-requested channel to a different handler (smcv)

* When calling HandleChannels, use the most recent user-action time from among
  all requests that led to this channel, and all HandleWith() calls for this
  channel dispatch operation (smcv)

* Don't call ReloadConfig() on the dbus-daemon (reopening fd.o#23921), to avoid
  triggering fd.o#24350 in dbus-daemon and causing service-activations to
  fail (sjoerd)

* mc_account_conditions_call_when_ready: explain why it's OK to ignore the
  result of mc_iface_call_when_ready_int, which was a Coverity false-positive
  (smcv)

* Consider calls to be potentially-missed if they terminate for reason ERROR,
  even if we're the actor, because that's what happens in Gabble >= 0.8.4
  if the streaming implementation (i.e. telepathy-farsight) discovers that
  none of the candidates work and calls Error() (smcv)

* Fix a race condition in the test account-manager/make-valid.py, which
  would sometimes incorrectly make it fail (smcv)

* Add a regression test for dispatching and requests being delayed while
  waiting for a plugin to make an asynchronous request for permission (smcv)

* Don't leak check_parameters_get_param_cb closure on error (smcv)

* In libmcclient, invoke callbacks for GetAll() in the right order (mardy)

All fixes from stable release 5.2.6 have been incorporated in this release.

telepathy-mission-control 5.3.1 (2009-09-18)
============================================

The "only available in Belgium" release.

Dependencies:

* Python >= 2.5 is now required for compilation
* telepathy-glib >= 0.7.37 is now required

Enhancements:

* Automatically migrate passwords and other secrets from accounts.cfg into the
  GNOME keyring (if enabled and available) on MC startup (jonnylamb)

Fixes:

* Deal with the user's alias in a race-free way by calling GetAliases as well
  as binding to the AliasesChanged signal (smcv/mardy)

* Fix some race conditions in the regression tests (smcv)

* Fix mcd_dispatcher_get_channel_type_usage sometimes counting aborted
  channels, by introducing MCD_CHANNEL_STATUS_ABORTED (mardy)

* If we see too many transitions from CONNECTED to DISCONNECTED state (i.e.
  we get kicked off by the server more than 3 times in 2 minutes), stop
  reconnecting; also, don't reset the exponential backoff until we've been
  connected for 2 minutes. This avoids reconnecting in a tight loop if the
  server lets us connect, then immediately drops our connection. (smcv)

* Fix some minor memory leaks (smcv)

All fixes from stable releases 5.2.4 and 5.2.5 have been incorporated in this
release.

telepathy-mission-control 5.3.0 (2009-09-14)
============================================

The "displatcher" release, starting a new development branch.

Dependencies:

* The GNOME Keyring library is a new optional dependency (only if configured
  with --enable-gnome-keyring=yes or --enable-gnome-keyring=auto).

  If it is enabled, having the library at runtime is required, but having the
  daemon itself is optional - the current plain-text storage will be used for
  passwords if the keyring daemon is not available.

Enhancements:

* fd.o#20903: support the final version of ContactCapabilities, from
  telepathy-spec 0.17.28 (smcv)

* fd.o#22231: add optional gnome-keyring integration. This is off by default,
  but distributions should consider configuring MC with --enable-gnome-keyring
  to get this functionality. (jonnylamb/smcv)

* mc-tool: show full Presence information (sjoerd)

* Use the "mcd" G_LOG_DOMAIN (smcv)

* fd.o#23501: support TpDebugSender (smcv)

* Stop #define'ing g_object_ref, g_object_unref (smcv)

* fd.o#22705: support MC_DEBUG=all (smcv)

Fixes:

* Escape "-" in protocol names in Account names, as required by the Telepathy
  spec (sjoerd)

* fd.o #23818: if HandleChannels fails, try all Handlers in sequence before
  giving up (smcv)

* Refactor client locking in McdDispatcher to be more obviously correct (smcv)

* Don't define macros used in glibc feature-test internals, possibly fixing
  failure to build from source on Debian GNU/kFreeBSD (smcv)

* Fix a reference leak when shooting down an unwanted Connection (wjt/smcv)

* fd.o#23921: force dbus-daemon to re-detect .service files on MC startup,
  as a partial workaround for D-Bus bug fd.o#23925 (George Goldberg)

* fd.o#23935: call AddRequest if appropriate even on clients that match only
  channels with Requested=true, and use requested channels' complete
  properties in preference to the properties that were requested (smcv)

* Make signed values in .client files work instead of g_critical'ing (smcv)

* This release also includes all bugfixes from stable-branch versions up to
  and including 5.2.3.

telepathy-mission-control 5.2.3 (2009-09-10)
============================================

The "Morden, via Bank" release.

Fixes:

* fd.o #23807: even if someone without gconf headers makes the tarball, ship
  the necessary files so people with gconf headers can compile it (smcv)

* Resync what's in git with what's in tarball releases: remove some unused
  source files from git, add more support files to tarballs, and don't
  distribute any generated source in tarballs (smcv)

telepathy-mission-control 5.2.2 (2009-09-07)
============================================

The "St. Pancreas" release.

Enhancements:

* Better debug output under various circumstances, including outputting the
  version number on startup (smcv)

* Add the concept of always-on accounts, which can't be disabled or otherwise
  put offline (smcv)

* Try to set initial presence before calling Connect (smcv)

Fixes:

* fd.o #23778: make sure account details (including passwords) are stored in
  directories readable only by the user. Distributions wanting this fix
  without any other changes should cherry-pick git commits 16c55625,
  2a42ac03, c16f40ec and 3558c3b2 (smcv)

* Replace deprecated g_strcasecmp with g_ascii_strcasecmp (Jonh Wendell)

* Don't close old-style Tubes channels if they can't be dispatched, since
  that closes the new-style StreamTube/DBusTube channels that everyone
  should be using, as a side-effect (smcv)

telepathy-mission-control 5.2.1 (2009-08-26)
============================================

The "secret cake" release.

Enhancements:

* Add change notification in the Compat interface (mardy)

* Make the low-memory check overridable by subclasses (smcv)

* Complete online requests with error on DISCONNECTED -> DISCONNECTED
  transition (i.e. cancellation) (mardy)

* Set the initial connection status reason to Requested, since None_Specified
  usually means "generic error" (mardy)

Fixes:

* fd.o #23509: wait for observers and approvers to finish initial processing
  before letting Claim() finish (smcv)

* Don't allow transition from one transport to another (smcv)

* If a transport plugin stops a connection before RequestConnection has even
  returned, remember that, and disconnect that Connection later when it does
  turn up (smcv)

telepathy-mission-control 5.2.0 (2009-07-30)
============================================

The "too many timeouts, reducing the advertised EDNS UDP packet size to 512
octets" release.

This is the first release of a new 5.2.x stable branch, available in git as
the 'telepathy-mission-control-5.2' branch. Feature development will continue
in the 5.3.x series.

Enhancements:

* Update ContactCapabilities draft to the version in telepathy-spec 0.17.26
  (smcv)

* Add regression tests for Capabilities, and for ContactCapabilities draft 1
  (smcv)

Fixes:

* McdConnection: fix a rare crash if no fallbacks for a presence are
  supported (smcv)

* libmcclient: avoid invoking callback twice if the object is already
  ready (mardy)

telepathy-mission-control 5.1.4 (2009-07-09)
============================================

The "I only came here seeking peas" release.

Dependencies:

* fd.o #22332: GConf is no longer required (if it is not available, then the
  MC 4 to MC 5 migration tool, mc-account-convert, will not be built)

Enhancements:

* fd.o #21378: support connection manager parameters whose value is a single
  byte (smcv)

* Add simple man pages for the daemon and utilities (smcv)

Fixes:

* fd.o #22670: don't assume a client has crashed just because it has lost a
  well-known name (smcv)

* Don't use the AutomaticPresence status from account configuration unless the
  presence type is an online presence (mardy)

* fd.o #22585: remove symbols from libmissioncontrol-server that collide with
  symbols in libmcclient, allowing the telepathy-mission-control daemon to be
  statically linked on platforms that don't want to support plugins (smcv)

telepathy-mission-control 5.1.3 (2009-07-01)
============================================

The "wilting" release.

Enhancements:

* Improve test coverage, including EnsureChannel (smcv)

* In tests, add the ability to test an installed MC binary (installcheck)
  (smcv)

Fixes:

* Make sure that ChannelDispatchOperations emit Finished before they are
  unreffed for the last time (smcv)

* Stop mcd_mission_abort() from implicitly closing channels, meaning that
  when Close() has an extra protocol-level meaning (for instance, when using
  an IRC proxy), we don't respond to connection loss by departing from all
  channels. Instead, explicitly close channels whenever desired (smcv)

* Add API for plugins to destroy channels, close channels with a reason,
  or "forget" (do not dispatch) channels (smcv)

* In situations where channels can't be handled, use Destroy() to terminate
  them, if available (smcv)

* In wait-for-name, initialize error properly if we can't connect to D-Bus
  (smcv)

* In tests, restructure `make check-torture` so it doesn't exceed command-line
  length limits (smcv)

* Use g_file_set_contents to overwrite files (mardy)

telepathy-mission-control 5.1.2 (2009-06-26)
============================================

The "don't cross the stream engines" release.

Dependencies:

* telepathy-glib >= 0.7.32 (or 0.7.33 if you want to run the regression tests)

Enhancements:

* Stop generating duplicate bindings in the daemon for interfaces that are
  now available in telepathy-glib 0.7.32

Fixes:

* Fix a subtle use-after-free that can crash MC if more than 4 distinct
  properties change in a 10ms interval (!)

* Make various fixes to putting accounts online:
  - ConnectAutomatically takes effect immediately
  - Fix a race between loading accounts and requesting channels
  - Never consider accounts to be Valid until they've loaded, meaning that we
    never try to put an account online before we've loaded its parameters (!)
  - Don't connect (automatically or by request) unless the account is Valid
  - Don't connect in order to satisfy a channel request unless the account is
    both Valid and Enabled
  - Allow setting RequestedPresence on disabled accounts, fixing creation of
    accounts that already have a RequestedPresence
  - Improve regression test coverage considerably
  - If an account's parameters change and it becomes Valid, consider putting it
    online
  - If an account becomes enabled after an online presence was requested, try
    to put it online

* Change the default RequestedPresence on startup from UNSET to OFFLINE

* Simplify API for low memory indication

* Delete some unnecessary code from McdMaster, and simplify some redundant code

* Forbid setting AutomaticPresence to a non-online status

* Forbid setting RequestedPresence to a status that can't be set on yourself

* Fix a memory leak and some races in the regression tests

* Turn the daemon into a convenience library so one of the tests can link it
  statically even if it's eventually going to be a shared library, fixing
  make check with --enable-plugins

telepathy-mission-control 5.1.1 (2009-06-16)
============================================

The "Beautiful And Damned" release.

Fixes:

* fd.o #22169: allowed PreferredHandler to be empty when requesting a
  channel (smcv)

* Updated code generation from telepathy-glib and followed the recommendations
  of telepathy-glib 0.7.6's NEWS, fixing some possible assertion
  failures (smcv)

* Ensured that AccountValidityChanged will be emitted if an account is added
  in an already-valid state (smcv)

* fd.o #21377: added support for 64-bit integers, doubles and object paths as
  CM parameters, did some work towards supporting bytes as CM parameters,
  and fixed serialization of large 32-bit unsigned integers and
  deserialization of integers of large magnitude (smcv)

* fd.o #21299: prevented automatic reconnection after Name_In_Use error (smcv)

* fd.o #22201: avoided rewriting accounts.cfg if nothing changed (smcv)

* Ensured that the transport was reset when a Connection disconnected (mardy)

telepathy-mission-control 5.1.0 (2009-06-05)
============================================

The "beta 75 would have been silly" release.

After months of development, this is the first numbered release of Mission
Control 5. We jumped straight to 5.1 in order to use the Linux-style odd/even
versioning seen in the other Telepathy components, so the 5.1.x development
branch will lead to the 5.2.x stable branch.

Changes since Mission Control 4 are too numerous to list here, but here are
the major architectural changes.

The proprietary MissionControl API no longer exists; the daemon is a
telepathy-spec-compliant AccountManager, and also a telepathy-spec-compliant
ChannelDispatcher. Consequences of this include:

* Clients are no longer expected to implement the ChannelHandler interface.
  Instead, they may implement the Observer, Approver and/or Handler interfaces
  specified in telepathy-spec.

* The design of channel dispatching copes better with having multiple user
  interface components installed.

* Accounts' presence, avatar and nickname are now independent (stored
  per-account), allowing for more precise control by UIs.

* Accounts no longer have to belong to a "profile", although they still can
  (albeit only by using a non-standard extension).

Accounts are now stored in a flat file, rather than by abusing GConf. The
included mc-account-convert tool might be able to convert MC 4 accounts to
the MC 5 format, if you're lucky.

libmissioncontrol-server has changed its API and ABI considerably, and is not
yet considered stable in its new form either. It is no longer installed by
default (in a normal configuration it'll just be compiled into the daemon).

libmissioncontrol (based on libtelepathy and also known as
libmissioncontrol-client) no longer exists, and has been replaced by
libmcclient (based on telepathy-glib).

Mission Control 5 is not a drop-in replacement for Mission Control 4, and
cannot be used by Mission-Control-4-based applications like Empathy 2.26
and the Maemo 4 platform. However, both versions can be installed
independently in the same directory prefix, to facilitate porting from one to
the other.

Known regressions since Mission Control 4:

* There is no gnome-keyring integration yet.
* The client and server library APIs are not considered to be stable yet.
